﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Configuration;
using System.Data.SqlClient;
using System.Data;
namespace ExceptionHandling.classes
{
    public class ExceptionHandlingGetData
    {
        #region Declarations
        public Guid Guid {get;set;}
        public string FName{get;set;}
        public string LName { get; set; }
        public string Email { get; set; }
        #endregion

        #region Methods
        public static List<ExceptionHandlingGetData> GetParticipants()
        {
            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["mwd"].ConnectionString);
            SqlCommand cmd = new SqlCommand("spExceptionHandlingListAll", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            List<ExceptionHandlingGetData> participants = new List<ExceptionHandlingGetData>();
            try
            {
                conn.Open();
                SqlDataReader rdr = cmd.ExecuteReader();
                while (rdr.Read())
                {
                    ExceptionHandlingGetData eh = new ExceptionHandlingGetData();
                    eh.FName = rdr["FName"].ToString();
                    eh.LName = rdr["LName"].ToString();
                    eh.Email = rdr["Email"].ToString();
                    Guid guid=new Guid(rdr["Guid"].ToString());
                    eh.Guid = guid;
                    participants.Add(eh);
                }
            }
            catch (Exception ex)
            {
                throw new Exception(ex.ToString());
            }
            finally{
                conn.Close();
                cmd.Dispose();
            }
            return participants;
        }
        public Guid ViewParticipant(Guid guid)
        {
            SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["mwd"].ConnectionString);
            SqlCommand cmd = new SqlCommand("spExceptionHandlingViewParticipant", conn);
            cmd.CommandType = CommandType.StoredProcedure;
            SqlParameter parameterGuid = new SqlParameter("@Guid", SqlDbType.UniqueIdentifier, 36);
            parameterGuid.Value = guid;
            cmd.Parameters.Add(parameterGuid);
            try
            {
                conn.Open();
                SqlDataReader rdr=cmd.ExecuteReader();
                if (rdr.Read())
                {
                    FName = rdr["FName"].ToString();
                    LName = rdr["LName"].ToString();
                    Email = rdr["Email"].ToString();
                    guid = new Guid(rdr["Guid"].ToString());
                    Guid = guid;
                }
                               
            }
            catch (Exception ex)
            {
                throw new Exception(ex.ToString());
            }
            finally
            {
                cmd.Dispose();
                conn.Close();
            }
            return guid;
        }
        #endregion
    }
}